<?php
include_once('./system/func.php');
$title = 'Рефералы';
include_once('./system/header.php');
auth(); // Закроем от гостей

$myID = intval($user['id']);

$set['p_str'] = 10;
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `users` WHERE `id_partner` = '$myID'"), 0);
$k_page = k_page($k_post, $set['p_str']);
$page = page($k_page);
$start = $set['p_str'] * $page - $set['p_str'];

echo '<div class="block_c"><div>Ваша ссылка: ' . htmlspecialchars($_SERVER['HTTP_HOST']) . '?ref=' . $myID . '</div>';

echo '<div class="wrapper center"><div>Если приглашенный игрок получил:</div>';
echo '<div>20 ' . ico('icons', 'level.png') . ' уровень - Вы получаете <span class="almaz">' . getCountDiamondRef(0) . '</span> ' . ico('icons', 'almaz.png') . ' алмазов</div>';
echo '<div>40 ' . ico('icons', 'level.png') . ' уровень - Вы получаете <span class="almaz">' . getCountDiamondRef(1) . '</span> ' . ico('icons', 'almaz.png') . ' алмазов</div>';
echo '<div>60 ' . ico('icons', 'level.png') . ' уровень - Вы получаете <span class="almaz">' . getCountDiamondRef(2) . '</span> ' . ico('icons', 'almaz.png') . ' алмазов</div></div>';

echo '</div>';

$query = mysql_query("SELECT `id`, `login`, `level`, `check_ref` FROM `users` WHERE `id_partner` = '$myID' ORDER BY `id` DESC LIMIT $start, $set[p_str]");

if ($k_post == 0) {
    echo '<div class="wrapper center">Список рефералов пуст!</div>';
} else {
    while ($post = mysql_fetch_assoc($query)) {
        echo div('wrapper');
        echo icons_user($post['id']) . "  <a href='/profile/$post[id]'>$post[login]</a>, " . ico('icons', 'level.png') . " $post[level]ур. <span class='small green'>" . checkRefPrize($post['check_ref']) . "</span></div>";
    }

    if ($k_post > 10) {
        echo div('block_left');
        str('?', $k_page, $page); // Вывод страниц
        echo "</div>";
    }
}

include_once('system/footer.php');